package api

import (
	"dejo_node/internal/mempool"
	"dejo_node/internal/staking"
	"dejo_node/internal/storage"
)

type Handler struct {
	Store        *storage.BlockStore
	StakingStore *staking.StakingStore
	Mempool      *mempool.Mempool
}

func NewHandler() *Handler {
	return &Handler{
		Store:        storage.NewBlockStore("data/blocks.json"),
		StakingStore: staking.NewStakingStore(),
	}
}